Load the property order from Wikidata on Wikimedia wikis
Closed, ResolvedPublic

Description

Right now we have one property order page on each wiki that has article placeholder enabled (like https://eo.wikipedia.org/wiki/MediaWiki:Wikibase-SortedProperties). But that means we will neither be able to update the lists in a central place nor do all Wikis have such a list (which renders mw.wikibase.orderProperties useless on most Wikis).

In order to fix this, we need to:

  • Create a MediaWiki:Wikibase-SortedProperties on Wikidata.
  • Change the value of the propertyOrderUrl client setting so that we use the above list (r326133).
  • Delete old local pages (if their content still matches the default).
hoo created this task.Oct 30 2016, 11:50 PM
Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptOct 30 2016, 11:50 PM
Izno added a subscriber: Izno.Oct 31 2016, 12:31 AM

Isn't this another form of the sortStatements task lying around? I think that list and this one should be the same list.

hoo added a comment.Oct 31 2016, 7:57 AM

Isn't this another form of the sortStatements task lying around? I think that list and this one should be the same list.

I think so, yes. This task is about setting up the fetching from Wikidata only (probably with the data we have right now), the list can be changed later then.

Yeah it should be the same list.

Lucie added a comment.Nov 11 2016, 9:07 PM

@hoo do you have the rights to create such a page on Wikidata? Or should I chase someone doing that for us?
I just remember, we should probably open a task to propagate that the ordering can be changed IIRC none touched any of the MediaWiki:Wikibase-SortedProperties on the Wikis yet. (Should wait with the promotion until it's centralized though.)

Lucie moved this task from Incoming to To Do Next on the ArticlePlaceholder board.Nov 12 2016, 7:54 PM
Lydia_Pintscher triaged this task as Normal priority.
hoo claimed this task.Nov 15 2016, 11:02 PM
hoo updated the task description. (Show Details)Dec 9 2016, 12:11 PM

Change 326133 had a related patch set uploaded (by Hoo man):
Load the property order from Wikidata per default

https://gerrit.wikimedia.org/r/326133

hoo updated the task description. (Show Details)Dec 9 2016, 3:23 PM
hoo added a comment.Dec 10 2016, 3:40 PM

The deployment has been scheduled for Monday December 12 around 19:00–20:00 UTC.

Change 326133 merged by jenkins-bot:
Load the property order from Wikidata per default

https://gerrit.wikimedia.org/r/326133

Mentioned in SAL (#wikimedia-operations) [2016-12-12T19:11:56Z] <thcipriani@tin> Synchronized wmf-config/Wikibase-production.php: SWAT: [[gerrit:326133|Load the property order from Wikidata per default]] T149540 (duration: 00m 45s)

hoo updated the task description. (Show Details)Dec 12 2016, 7:13 PM
hoo closed this task as Resolved.Dec 13 2016, 10:05 AM
hoo removed a project: Patch-For-Review.
hoo updated the task description. (Show Details)
hoo moved this task from Proposed to Done on the Wikidata-Former-Sprint-Board board.
hoo moved this task from To Do Next to Done on the ArticlePlaceholder board.Dec 13 2016, 10:07 AM